FANNConnection::getWeight
JSON
FANNConnection
PHP Manual

# FANNConnection::setWeight

(PECL fann >= 1.0.0)

FANNConnection::setWeight — Sets the connections weight

### Description

public bool FANNConnection::setWeight ( float `$weight` )

Sets the connection weight.

This method is different than fann_set_weight(). It does not update the weight value in the network. The network value is updated only after calling fann_set_weight_array().

### Parameters

`weight`

  The connection weight.

### Return Values

Returns `TRUE` on success, or `FALSE` otherwise.

FANNConnection::getWeight
JSON
FANNConnection
PHP Manual